SNAP7-SERVER(1)

NAME
snap7-server - Start a dummy Siemens S7 PLC server emulator

SYNOPSIS
snap7-server [OPTIONS]

DESCRIPTION
snap7-server is a command-line utility provided by the python-snap7 library. It starts a pure Python S7 server emulator that mimics a Siemens S7 PLC (Programmable Logic Controller) for testing, local simulation, and development purposes without requiring actual hardware.

OPTIONS

-p, --port PORT
    The TCP port the server will listen on. (Default: 1102).

-v, --verbose
    Enable verbose output, printing full internal debug-level log messages to the terminal.

--version
    Show the version of python-snap7 and exit.

-h, --help
    Show a summary of options and exit.

SEE ALSO
The full documentation is available online at https://python-snap7.readthedocs.io/

AUTHOR
This manual page was written for the Debian project (but may be used by others).